Get impairment event
curl --request GET \
--url https://api.example.com/api/v1/operations/impairment-events/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/operations/impairment-events/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/operations/impairment-events/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/operations/impairment-events/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/operations/impairment-events/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/operations/impairment-events/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/operations/impairment-events/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "radar",
"external_event_id": "<string>",
"scope": "node",
"status": "accepted",
"reason": "<string>",
"details": {},
"clear_details": {},
"instance_id": "<string>",
"requested_device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topology_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"devices": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"status": "pending",
"previous_operational_status": "unknown",
"occupied": true,
"active_instance_id": "<string>",
"last_error": "<string>",
"retry_count": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"cordoned_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"clear_reason": "<string>"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Operations
Get impairment event
Internal API for Radar to submit and inspect node/pod impairment events.
GET
/
api
/
v1
/
operations
/
impairment-events
/
{id}
/
Get impairment event
curl --request GET \
--url https://api.example.com/api/v1/operations/impairment-events/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/operations/impairment-events/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/operations/impairment-events/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/operations/impairment-events/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/operations/impairment-events/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/operations/impairment-events/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/operations/impairment-events/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "radar",
"external_event_id": "<string>",
"scope": "node",
"status": "accepted",
"reason": "<string>",
"details": {},
"clear_details": {},
"instance_id": "<string>",
"requested_device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topology_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"devices": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"status": "pending",
"previous_operational_status": "unknown",
"occupied": true,
"active_instance_id": "<string>",
"last_error": "<string>",
"retry_count": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"cordoned_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"clear_reason": "<string>"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this impairment event.
Response
Response shape for impairment events.
radar- Radar
Available options:
radar node- Nodepod- Pod
Available options:
node, pod accepted- Acceptedcordoned- Cordonedrelease_pending- Release Pendingrelease_retrying- Release Retryingrelease_failed- Release Failedpartially_failed- Partially Failedfailed- Failedcleared- Cleared
Available options:
accepted, cordoned, release_pending, release_retrying, release_failed, partially_failed, failed, cleared Opaque Radar-provided impairment metadata keyed by detail name.
Show child attributes
Show child attributes
Opaque Radar-provided impairment metadata keyed by detail name.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255